Bug 18631 - Not everything in ncurses is included in libpanel, libform and libmenu
Summary: Not everything in ncurses is included in libpanel, libform and libmenu
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-05-18 01:30 UTC by adsharma
Modified: 2001-11-28 02:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description adsharma 2000-05-18 01:30:00 UTC
Trying to run pyncurses (python ncurses), I discovered that a lot of
files were missing in the libraries above. For example:

http://www.freebsd.org/cgi/cvsweb.cgi/src/lib/libpanel/Makefile?rev=1.2 

includes only one file: panel.c from /usr/src/contrib/ncurses/panel.

The same problem with libform and libmenu.

Fix: 

Update the Makefiles, rebuild.
How-To-Repeat: 
Run pyncurses or look for missing symbols in /usr/lib/lib{panel,form,menu}
Comment 1 Thomas Gellekum freebsd_committer 2000-05-25 10:54:45 UTC
State Changed
From-To: open->closed

I have added the missing sources to the makefiles.